com.threerings.parlor.data

## Interface ParlorCodes

All Superinterfaces:
  com.threerings.presents.data.InvocationCodes

All Known Implementing Classes:
  CardGameManager, GameManager, Invitation, ParlorDirector, ParlorManager, PuzzleManager, Table, TableManager

    public interface ParlorCodes
    extends com.threerings.presents.data.InvocationCodes

Contains codes used by the parlor invocation services.

### Field Summary

Fields
`static String` `ALREADY_AT_TABLE` An error code returned by the table services when a user requests to create or join a table but they're already sitting at another table.
`static String` `BANNED_FROM_TABLE` An error code returned by the table services for a request to join a table that the requester been banned from.
`static String` `GAME_ALREADY_STARTED` An error code returned by the table services when a user requests to leave a table for which the game is already in progress.
`static String` `INVALID_TABLE_POSITION` An error code returned by the table services.
`static int` `INVITATION_ACCEPTED` The response code for an accepted invitation.
`static int` `INVITATION_COUNTERED` The response code for a countered invitation.
`static int` `INVITATION_REFUSED` The response code for a refused invitation.
`static String` `INVITEE_NOT_ONLINE` An error code explaining that an invitation was rejected because the invited user was not online at the time the invitation was received.
`static String` `MUST_BE_CREATOR` An error code returned by the table services.
`static String` `NO_SELF_BOOT` An error code returned by the table services.
`static String` `NO_SUCH_TABLE` An error code returned by the table services.
`static String` `NOT_AT_TABLE` An error code returned by the table services when a user requests to leave a table that they were not sitting at in the first place.
`static String` `PARLOR_GROUP` Defines our invocation services group.
`static String` `TABLE_POSITION_OCCUPIED` An error code returned by the table services.

### Fields inherited from interface com.threerings.presents.data.InvocationCodes

`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

### Field Detail

#### PARLOR_GROUP

    static final String PARLOR_GROUP

Defines our invocation services group.

See Also:
  Constant Field Values

#### INVITATION_ACCEPTED

    static final int INVITATION_ACCEPTED

The response code for an accepted invitation.

See Also:
  Constant Field Values

#### INVITATION_REFUSED

    static final int INVITATION_REFUSED

The response code for a refused invitation.

See Also:
  Constant Field Values

#### INVITATION_COUNTERED

    static final int INVITATION_COUNTERED

The response code for a countered invitation.

See Also:
  Constant Field Values

#### INVITEE_NOT_ONLINE

    static final String INVITEE_NOT_ONLINE

An error code explaining that an invitation was rejected because the invited user was not online at the time the invitation was received.

See Also:
  Constant Field Values

#### NO_SUCH_TABLE

    static final String NO_SUCH_TABLE

An error code returned by the table services.

See Also:
  Constant Field Values

#### INVALID_TABLE_POSITION

    static final String INVALID_TABLE_POSITION

An error code returned by the table services.

See Also:
  Constant Field Values

#### MUST_BE_CREATOR

    static final String MUST_BE_CREATOR

An error code returned by the table services.

See Also:
  Constant Field Values

#### NO_SELF_BOOT

    static final String NO_SELF_BOOT

An error code returned by the table services.

See Also:
  Constant Field Values

#### TABLE_POSITION_OCCUPIED

    static final String TABLE_POSITION_OCCUPIED

An error code returned by the table services.

See Also:
  Constant Field Values

#### ALREADY_AT_TABLE

    static final String ALREADY_AT_TABLE

An error code returned by the table services when a user requests to create or join a table but they're already sitting at another table.

See Also:
  Constant Field Values

#### NOT_AT_TABLE

    static final String NOT_AT_TABLE

An error code returned by the table services when a user requests to leave a table that they were not sitting at in the first place.

See Also:
  Constant Field Values

#### BANNED_FROM_TABLE

    static final String BANNED_FROM_TABLE

An error code returned by the table services for a request to join a table that the requester been banned from.

See Also:
  Constant Field Values

#### GAME_ALREADY_STARTED

    static final String GAME_ALREADY_STARTED

An error code returned by the table services when a user requests to leave a table for which the game is already in progress.

See Also:
  Constant Field Values